Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class SwordDailyDevotion

    java.lang.Object
      org.crosswire.jsword.book.basic.AbstractBook
          org.crosswire.jsword.book.sword.SwordDictionary
              org.crosswire.jsword.book.sword.SwordDailyDevotion

All Implemented Interfaces:
  Comparable, Activatable, Book, KeyFactory, PreferredKey

    public class SwordDailyDevotion

extends SwordDictionary
implements PreferredKey

A book that has a preferred key of today's date.

Author:
  DM Smith [ dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private static DateFormat` | `NAME_DF` Date formatter, fully internationalized.

Constructor Summary
`SwordDailyDevotion(SwordBookMetaData sbmd, AbstractBackend backend)` Simple ctor

Method Summary
`Key` | `getPreferred()` What Key would this object like us to use?

Methods inherited from class org.crosswire.jsword.book.sword.SwordDictionary
`activate, createEmptyKeyList, deactivate, getData, getGlobalKeyList, getKey, getRawData, getValidKey`

Methods inherited from class org.crosswire.jsword.book.basic.AbstractBook
`addIndexStatusListener, compareTo, equals, find, find, firePropertyChange, getBook, getBookCategory, getBookMetaData, getDriver, getDriverName, getFullName, getIndexStatus, getInitials, getLanguage, getName, getOsisID, getProperties, getProperty, getUnlockKey, hasFeature, hashCode, isEnciphered, isLeftToRight, isLocked, isQuestionable, isSupported, putProperty, removeIndexStatusListener, setBookMetaData, setIndexStatus, toOSIS, toString, unlock`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME_DF

    private static final DateFormat NAME_DF

  Date formatter, fully internationalized.

Constructor Detail

### SwordDailyDevotion

    public SwordDailyDevotion(SwordBookMetaData sbmd,
                              AbstractBackend backend)

  Simple ctor

Method Detail

### getPreferred

    public Key getPreferred()

  Description copied from interface: `PreferredKey`
  What Key would this object like us to use?

  Specified by:
    `getPreferred` in interface `PreferredKey`
  Returns:
    The preferredKey

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD